f



Coppermine & GD - using bundled php-4.3.8 GD, but "PHP running on your server does not support the GD image library"

I had not enabled GD yet, so I reconfigured and recompiled my 
PHP like so: 

  ./configure --with-apxs=/www/bin/apxs --with-zlib --width-gd
  make
  make install

I restarted apache, and tested out some GD-related functions 
and it works fine:

  // create a 200*200 image
  $img = imagecreate(200, 200);

  // allocate some colors
  $white = imagecolorallocate($img, 255, 255, 255);
  $black = imagecolorallocate($img, 0, 0, 0);
  
  // draw a black circle
  imagearc($img, 100, 100, 150, 150, 0, 360, $black);

  // output image in the browser
  header("Content-type: image/png");
  imagepng($img);
  
  // free memory
  imagedestroy($img);

.... however when I try to upload a file to Coppermine Photo
Gallery I get the same old:

"PHP running on your server does not support the GD image 
library"

Is this a Coppermine issue, or a PHP configuration issue? 
0
ggg4552 (14)
2/13/2005 12:05:00 AM
comp.lang.php 32646 articles. 0 followers. Post Follow

0 Replies
651 Views

Similar Articles

[PageSpeed] 19

Reply:

Similar Artilces:

CSWS PHP 1.3 and GD support (PHP Version 4.3.10)
If my reporting utility is correct this seems rather limited: * GD support: yes * GD Version: 2.0 or higher * FreeType Support: no * T1Lib Support: no * GIF Read Support: no * GIF Create Support: no * JPG Support: no * PNG Support: no * WBMP Support: no * XBM Support: no * JIS-mapped Japanese Font Support: no My understanding of this report would be that I can create graphics to my heart's content - I just can't display them. Also, and I'm never sure if you guys want to hear about this sort of stuff, I consistently get the...

php requires ".php" not ".html" ?
Dumb question -- I know, but... Yes, I searched books and googled but couldn't find the answer. Does php always require that the page be .php and not .html ? Or is this server-dependent? Mine doesn't seem to recognize a php line in a .html page. By the way, how do searchers, eg Google, treat .php? same as .html? Do I lose search position by changing from .html to .php? MasonC masoncXXX@XXXfrontal-lobe.info wrote: > Dumb question -- I know, but... > Yes, I searched books and googled but couldn't find the answer. > > Does php always require that the page be .php and not .html ? > Or is this server-dependent? Mine doesn't seem to recognize a php line in a .html page. > > By the way, how do searchers, eg Google, treat .php? same as .html? > Do I lose search position by changing from .html to .php? > > MasonC It's part of your web server configuration - not PHP. Security conscious hosts will require .php extensions to parse php files. -- ================== Remove the "x" from my email address Jerry Stuckle JDS Computer Training Corp. jstucklex@attglobal.net ================== At Sun, 06 Jun 2010 14:49:27 -0700 masoncXXX@XXXfrontal-lobe.info wrote: > > Dumb question -- I know, but... > Yes, I searched books and googled but couldn't find the answer. > > Does php always require that the page be .php and not .html ? > Or is this server-dependent? Mine doesn't seem to r...

Installing GD-Lib on Win/IIS => PHP "dead"
Hello, I have a windows-IIS-Webserver running PHP 4.3.0. However, there is no GD-Lib, so I tried to install it. What I did is this: - copy the file php_gd2.dll (which I have from another win-webserver with working GD-Lib) to C:\PHP\extensions - set the extensions-folder in php.ini to C:\PHP\extensions - remove the ";" before the php_gd2.dll-inclusion in the php.ini-file - I even added C:\PHP\extension to the path-environment-variable And what happens is this: - PHP is completely "dead", there is no output, just endless waiting. Not even phpinfo() works - the webserver itself is fine, HTML-Files and images are sent to the browser correctly - as soon as I add the ";" in the php_gd2.dll-line in php.ini, PHP works fine again - but without GD-Lib, of course I spent quite some time searching in google for the solution, but I found nothing helpful... I'd grateful if someone could help me. Kind regards and thanks, Paul -- www.eigelb.at The reason is that PHP fail to startup. Your extensions-dir is not correctly installed. Check http://www.macromedia.com/devnet/mx/dreamweaver/articles/php_iis.html "Paul Schmidinger" <my.email.is.on@my.website.eigelb.at> wrote in message news:cr0hg8$oon$1@news.hispeed.ch... > Hello, > > I have a windows-IIS-Webserver running PHP 4.3.0. However, there is no > GD-Lib, so I tried to install it. > > What I did is this: > - copy the file php_gd2.dll (which I have from an...

GD 2 on PHP 4.3.4 ?
Hello everybody, I'm looking for a php gallery management system and I would like to check something. The setup for the management system says I need GD version 2 to get nice thumbnails. I looked it up on www.php.net and I think it says that GD 2 is built in php 4.3.2. I'm running php 4.3.4 on Windows XP home. Does that mean I don't have to worry about that? Or do I still have to "activate" the GD? I'm a php newbie so go easy on me please ;-) Roger ...

Parsing a php include (which also contains php code)
Hello, I am using the <?php include() ?> statement on my website for organizational purposes. However, one of my includes contains some PHP code. Is there any way for the server to actually parse the include? I've tried this before, and it did not parse the include. Rather, it included the file as just plain ASCII. ======================= /*EXAMPLE 1*/ /*index.php*/ .... <?php include('global/includes/footer.inc') ?> .... /*footer.inc*/ .... <p>&copy 1993-<?php echo date("Y") ?> Kingswood School. All rights reserved.</p> .... /*EXAMPLE 2*/ /*index.php*/ .... <?php include('global/includes/lastmod.php') ?> .... /*lastmod.php*/ .... <?php echo "This file was last modified: "; echo strftime("%A %B %d %Y"); include('whateverfilename.inc'); ?> ============================= I would like to be able to parse the include if it has php code, and in some cases, create nesting includes (an include within an include). Is this even possible? Any ideas? Any help is certainly appreciated. Thanks! Steven Borrelli Web Developer Kingswood School Steven Borrelli wrote: > Hello, > > I am using the <?php include() ?> statement on my website for > organizational purposes. However, one of my includes contains some > PHP code. Is there any way for the server to actually parse the > include? I've tried this before, and it did not parse the in...

SN#21366 Developer News Bites
SYSTEM NEWS FOR SUN USERS Vol 132 Issue 3 2009-02-21 Article 21366 from section "Developer's Section" Short Items of Interest to the Developer Community - Video on Sun Studio and Parallel Computing - Open Source Graphical User Interface Application for High Dynamic Range (HDR) Imaging - Sample Chapter of "Beginning PHP and MySQL E-Commerce: From Novice to Professional" - New Command-line Options in VisualVM 1.1 - Sun Certified Solaris Associate (SCSAS) - SDN on the Road PHP Palooza Part 2: SF PHP Meetup - Wizard for Developing New Drupal Themes - Ruby on Rails with Apache and MySQL on OpenSolaris http://blogs.systemnews.com/ Details at http://sun.systemnews.com/g?A=21366 Have a custom version of 'System News for Sun Users' delivered to you via email each week in text or HTML. Only the sections that you select will be included in your copy of the news magazine. Subscribe at http://sun.systemnews.com/subscribe Free 4-week trial is available. (c) 2008 System News, Inc. http://www.systemnews.com ...

apache 2.0.50 and php 4.3.7 with gd support problem
Hi! I have on one AIX 4.3.3 machine apache 2.0.50. configure parametrs: CC=gcc CFLAGS='-DHARD_SERVER_LIMIT=1024' ./configure --prefix=/usr/local/apache2 \ --enable-modules="headers info mime_magic proxy rewrite so ssl status" \ --with-expat=$PWD/srclib/apr-util/xml/expat \ --with-port=8081 I have to build php with gd support. configure parameters: ../configure --prefix=/usr/local/php-4.3.7 \ --with-apxs2=/usr/local/apache2/bin/apxs \ --with-openssl=/usr/local/ssl \ --with-gd=/opt/freeware I have rpm: gd-devel-1.8.4-2 gd-1.8.4-2 When I try to start/stop apache with loaded...

php gd support
Can't get GD support to work with my apache php installation. Looks like most of the GD files are there. This looks like a problem - ldd /usr/local/lib/php/20020429/gd.so /usr/local/lib/php/20020429/gd.so: libt1.so.5 => not found (0x0) libfreetype.so.9 => /usr/local/lib/libfreetype.so.9 (0x281aa000) libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x28216000) libXpm.so.4 => /usr/X11R6/lib/libXpm.so.4 (0x282d5000) libpng.so.5 => /usr/local/lib/libpng.so.5 (0x282e3000) libz.so.2 => /lib/libz.so.2 (0x28306000) libjpeg.so.9 => /usr/local/lib/libjpeg.so.9 (0x28316000) libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x28334000) libm.so.3 => /lib/libm.so.3 (0x28341000) What is or where do I get libt1.so.5 btb On 23 Dec 2004 10:57:44 -0800, brent.bolin@gmail.com wrote: > Can't get GD support to work with my apache php installation. Looks > like most of the GD files are there. > This looks like a problem - > ldd /usr/local/lib/php/20020429/gd.so > /usr/local/lib/php/20020429/gd.so: > libt1.so.5 => not found (0x0) > libfreetype.so.9 => /usr/local/lib/libfreetype.so.9 > (0x281aa000) > libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x28216000) > libXpm.so.4 => /usr/X11R6/lib/libXpm.so.4 (0x282d5000) > libpng.so.5 => /usr/local/lib/libpng.so.5 (0x282e3000) > libz.so.2 => /lib/libz.so.2 (0x28306000) > libjpeg.so.9 => /usr/local/lib/libjpeg.so.9 (0x2831...

Problem updating PHP 4.3.0 DEV to PHP 4.3.3
Hi! I had Apache 2.0.47 and PHP 4.3.0 DEV running successfully on a W2k Server. For some reason, I couldn't get PHP to read XML-Attributes with the DOM XML -functions. So I thought, it would be time to update PHP to a newer version. So I simply replaces the old php-files with the new ones and of course kept the php.ini. But now, PHP doesn't work anymore. As soon as I request a page with php code, I get a "document contains no data" error after a while. (Apache's error log looks like the excerpt at the end of this message) If I install PHP5, I can't even start Apache...

How to "quote code" in PHP?
I'm trying to put together a little page with a form, so that users can "translate" any URL into the correct format for posting on a forum. For instance, they want to share a link and type in "www.google.com" (without quotes) and the form turns it into "<a href="www.google.com"></a>" (without the beginning and end quotes) and displays that as text, so that they can copy/paste it into the forum post box. It will also include an image-posting version so that it adds the "<img src" etc to an image URL. How do I "quote" the result so that it displays as plain text rather than a mess? All I'm getting is a mess of blue code. On Thu, 19 May 2011 23:31:47 +0100, in comp.lang.php "Mentalguy2k8" <Mentalguy2k8@gmail.com> <ir45oo$mik$1@dont-email.me> wrote: >| I'm trying to put together a little page with a form, so that users can >| "translate" any URL into the correct format for posting on a forum. >| >| For instance, they want to share a link and type in "www.google.com" >| (without quotes) and the form turns it into "<a href="www.google.com"></a>" >| (without the beginning and end quotes) and displays that as text, so that >| they can copy/paste it into the forum post box. It will also include an >| image-posting version so that it adds the "<img src" etc to an image URL....

how to connect &quot;IMAQ Get Buffer.vi&quot; output terminal of &quot;Image Out&quot; to the input terminal of &quot;Image&quot; of &quot;IMAQ ColorImageToArray.vi&quot;
Hi, Thanks a lot for helping me till this stage.I am again stuck up with some problem.Please help me this time also. Actually i am making changes in already existingblock diagram and also i am new to this labview programming.And also time is very crucial. So i want to know if there is any way to connect the output of Image out terminal of IMAQ Get Buffer.vi to the input terminal of Image of IMAQ ColorImageToArray.vi. In the actual block diagram the output of Image out terminal of IMAQ GetBuffer.vi is connected to the input terminal of Image of IMAQ ImageToArray.vi. I want to change this becos i want to take RGB image as input and seperate R, G, B components. Please explain in terms of bloack diagram. ...

Can't locate object method "newFromJpeg" via package "GD::Image"
Hi. I'm trying to execute this Perl simple script: -------- #!/usr/bin/perl use GD; my $srcimage = GD::Image->newFromJpeg("image_news.jpg"); my ($srcW,$srcH) = $srcimage->getBounds(); --------- But I get this error message: ------- Can't locate object method "newFromJpeg" via package "GD::Image" at ../test.pl line 3. ------- I've got GD and libgd compiled with JPEG support turned on. 1) JPEG libs + Downloaded from http://www.ijg.org/files/jpegsrc.v6b.tar.gz + mkdir /usr/local/jpeg-6b + mkdir /usr/local/jpeg-6b/bin + mkdir /usr/local/...

GD with php
I am trying to use gd to make a wind direction compass. Is is possbile to merge the picture of the compass with the picture of the compass needle rotateing the needle as needed ofr each rendering? timlitw@gmail.com wrote: > I am trying to use gd to make a wind direction compass. > > Is is possbile to merge the picture of the compass with the picture of > the compass needle rotateing the needle as needed ofr each rendering? > Yep, example source can be found here: http://playground.jwscripts.com/imagerotate.phps The source also contains URLs to a demo application. JW Janwillem Borleffs wrote: > timlitw@gmail.com wrote: > > I am trying to use gd to make a wind direction compass. > > > > Is is possbile to merge the picture of the compass with the picture of > > the compass needle rotateing the needle as needed ofr each rendering? > > > > Yep, example source can be found here: > > http://playground.jwscripts.com/imagerotate.phps > > The source also contains URLs to a demo application. > > > JW Thanks very much for that. I had found a clock and modified that - and got this far http://www.qffinc.com/scripts/compass.php?windir=300 but I think with a few modification this example will get me further. timlitw@gmail.com wrote: > Janwillem Borleffs wrote: > > timlitw@gmail.com wrote: > > > I am trying to use gd to make a wind direction compass. > > > > > > Is...

gd-php
HI,I have a problem with using image functions, I always get this error: undefined function. I have started from the scratch, do I have to configure any libraries or pathes. knowing that my php version is 4.3 and i have found two dll files gd.dll and gd2.dll thanx in advance Shameram chsadaki@hotmail.com writes: > HI,I have a problem with using image functions, I always get this > error: undefined function. > I have started from the scratch, do I have to configure any libraries > or pathes. > knowing that my php version is 4.3 and i have found two dll files > gd.dll and gd2.dll and GD support is enabled (have you added those 2 dll's in php.ini)? Take a look at phpinfo() and check if support is in there. -- Henrik Hansen chsadaki@hotmail.com wrote: > HI,I have a problem with using image functions, I always get this > error: undefined function. > I have started from the scratch, do I have to configure any libraries > or pathes. > knowing that my php version is 4.3 and i have found two dll files > gd.dll and gd2.dll > > thanx in advance > Shameram > Sounds like you PHP is not configured to use the gd extensions. Check your php.ini file, especially the extensions= section. Also, depending on what you're trying to do, you may need to recompile PHP with the appropriate libs for .jpeg, .gif, etc. support. -- ================== Remove the "x" from my email address Jerry Stuckle JDS Computer Training Co...

Running PHP 4 & PHP 5 together as modules
Folks, We would like to upgrade our servers to PHP 5 and PHP 4 together as modules on the same server (not as cgi, not passing requests to another server). I did some extensive searching on this and we ran some tests over a year ago and did not find a solution (other than proxy forwarding to a PHP 5 configured server). When PHP went to version 4 from version 3, it was possible to run both at the same time, and have users select by file extension, i.e. .php4,.php5. It seems a naming conflict within the code itself prevents that from working with PHP 5. Has anyone discovered a way to do this? We are running apache 1.3.x on RHEL 4. Thanks! -- John ___________________________________________________________________ John Murtari Software Workshop Inc. jmurtari@following domain 315.635-1968(x-211) "TheBook.Com" (TM) http://thebook.com/ "John Murtari" <jmurtari@thebook.com> wrote in message news:x7r6r15s95.fsf@hammer.thebook.com... > Folks, > > We would like to upgrade our servers to PHP 5 and PHP 4 > together as modules on the same server (not as cgi, not passing > requests to another server). I did some extensive searching on > this and we ran some tests over a year ago and did not find a > solution (other than proxy forwarding to a PHP 5 configured server). > > When PHP went to version 4 from version 3, it was possi...

PHP GD
I have successfully been able to overlay text of a specific font over a pre-existing image but I still have a question. How would I center the text horizontally? Also If the text would go off of the image how could I make it resize the font size to accomadate no overlap? Thanks for any help. YTGYT schreef: > I have successfully been able to overlay text of a specific font over > a pre-existing image but I still have a question. How would I center > the text horizontally? Also If the text would go off of the image how > could I make it resize the font size to accomadate no overlap? > > Thanks for any help. Hi, If you do not know how big the text is beforehand, you must use the following function first to calculate it: (For true type:) http://nl.php.net/manual/en/function.imagettfbbox.php Check that link for details. Regards, Erwin Moller -- "There are two ways of constructing a software design: One way is to make it so simple that there are obviously no deficiencies, and the other way is to make it so complicated that there are no obvious deficiencies. The first method is far more difficult." -- C.A.R. Hoare ...

True Type Fonts (FreeType) - GD
Hello, I'm having a problem using the TTF support in GD. I just installed the latest release of PHP (4.3.2) and the latest version of FreeType (1.3.1). Everything compiled fine and a call to phpinfo() says it's all installed exactly as it should be: GD Support enabled GD Version bundled (2.0.12 compatible) FreeType Support enabled FreeType Linkage with TTF library GIF Read Support enabled JPG Support enabled PNG Support enabled WBMP Support enabled XBM Support enabled I copied a few fonts off of my Windows machine to my web site. Now, I use the universal demonstration scr...

how to compile PHP with GD support?
Hello there, I am tryin to compile PHP with GD support: # cd php-4.3.11 # ./configure \ --with-gd=/usr/local/src/gd-2.0.33/ \ --with-png-dir=/usr/local/src/libpng-1.2.8/ \ --with-zlib-dir=/usr/local/src/zlib/ \ --with-jpeg-dir=/usr/local/src/jpeg-6b/ .... checking for GD support... yes checking for the location of libpng... /usr/local/src/libpng-1.2.8/ If configure fails try --with-jpeg-dir=<DIR> configure: error: libpng.(a|so) not found. why libpng.(a|so) not found ? # ls -l /usr/local/src/libpng-1.2.8/libpng.a -rw-r--r-- 1 root wheel 160448 May 31 12:48 /usr/local/src/libpng-1.2.8/libpng.a What is my mistake? Where to read about correct way for installing php + gd + libjpeg + libpng ? Encapsulin, > checking for the location of libpng... /usr/local/src/libpng-1.2.8/ > If configure fails try --with-jpeg-dir=<DIR> > configure: error: libpng.(a|so) not found. > > why libpng.(a|so) not found ? > > # ls -l /usr/local/src/libpng-1.2.8/libpng.a > -rw-r--r-- 1 root wheel 160448 May 31 12:48 > /usr/local/src/libpng-1.2.8/libpng.a > > What is my mistake? Where to read about correct way for installing php > + gd + libjpeg + libpng ? You may wish to check the PHP manual: http://us3.php.net/manual/en/ref.image.php If it doesn't find libpng, libjpeg or libxpm it can fail. You may wish to specify the directory... --with-jpeg-dir=DIR --with-png-dir=DIR --with-xpm-dir=DIR Also note that libpng requires the zlib library :...

PHP and GD library #2
Hi, I have an aplication that writes 1 or 0 to mysql table. I would like to get that data and drow a line from that data. Basicially the data 0 or 1 says if host is up or down. What would be the easies to do so. I need simple grahp that would contain last 100 entries. Thanks Bart On Tue, 06 Dec 2005 07:19:52 -0800, Bart wrote: > I have an aplication that writes 1 or 0 to mysql table. I would like to > get that data and drow a line from that data. > > Basicially the data 0 or 1 says if host is up or down. What would be the > easies to do so. > > I need simple grahp that would contain last 100 entries. I've used Postgraph to quite good effect: http://www.qualityunit.com/postgraph/ It's not a line graph, but it could give you a good starting point (the code is GPL) Cheers, Andy -- Andy Jeffries | gPHPEdit Lead Developer http://www.gphpedit.org | PHP editor for Gnome 2 http://www.andyjeffries.co.uk | Personal site and photos ...

php problem with gd library
hello to everyone, I'm using Mantis bug tracking system on Ubuntu Server with apache2, mysql 5.1 and php5. Mantis uses jpgraph for graphics but when I call a graphic page, Jpgraph return this error: Fatal error: Call to undefined function imageantialias() in /var/www/ jpgraph-2.2/src/jpgraph.php on line 5586 that is a call to imageantialias() function of PHP! I installed php5 and php5-gd package with apt-get, configured php.ini and apache2 (phpinfo() tell me that gd support is enabled).everything works fine but not graphics. Can anyone help me? please !!! thanks in advance Hi, FYI, there is a workaround for this here: https://bugs.launchpad.net/ubuntu/+source/php5/+bug/74647/comments/6 You can also compile PHP from the source. The version of GD that comes bundled with PHP is different from the standard GD that php5-gd uses. On Sep 27, 10:05 am, Mamba <sagre1...@tiscali.it> wrote: > hello to everyone, > I'm using Mantis bug tracking system on Ubuntu Server with > apache2, mysql 5.1 and php5. > Mantis uses jpgraph for graphics but when I call a graphic page, > Jpgraph return this error: > Fatal error: Call to undefined function imageantialias() in /var/www/ > jpgraph-2.2/src/jpgraph.php on line 5586 > that is a call to imageantialias() function of PHP! > I installed php5 and php5-gd package with apt-get, configured php.ini > and apache2 (phpinfo() tell me that gd support is enabled).everything > works fine but not gr...

PHP GD and corrupted image
Hallo, I'm using GD library in my web application to manage (resize, creating thumbnails etc.) images for a web site. My script works fine for most images but I've got a problem with some jpeg images, that are not recognized as valid jpeg images: getimagesize returns false, while using exif_read_data I get a warning like: "Error reading from file: got=xB6F2(=46834) != itemlen-2=xF2A7(=62119)" Opening the image with Gimp I actually get a warning message: "Corrupt JPEG Data: 16 extraneous bytes before marker 0xdb" Gimp is able to skip exif data and to correctly open the image. I think that removing exif data I could read and resiz the image. My question is: how can I skip exif data using php script as Gimp or any other image viewer does? thank you. ...

How to get GIF support with Perl-GD library? (Can't locate object method "newFromGif")
Hi. Using Perl v5.8.3 on Linux, I'm trying to install GD interface for Perl (made by Lincoln Stein). I installed GD, zlib, jpeg-6b and freetype from sources (the very last versions). When executing script, I get this error message: ----- Can't locate object method "newFromGif" via package "GD::Image" at ./ test.pl line 6. ------- Line 6: ------ $srcimage = GD::Image->newFromGif("myimage.gif"); ------ I know GIF is not supported by official GD libraries, but is it possible to get it via another way? Thank you very much. Francesco Moi schrieb: >...

Quoting PHP code in a .php file???
I am new to PHP and I want to quote the followong content into a Web page <html> <head><title>Connect Server</title></head> <body> <? $link = mysql_connect("localhost",$_POST['username'],$_POST['password'])or die("Connect Error: ".mysql_error()); print "Successfully connected.\n"; mysql_close($link); ?> </body> </html> The Web page is generated by a xxx.php file and what I want to be q quote is executed rather than displayed. I have tried to surround it with block formatting HTML elements such as <blockquote> or <pre> but the PHP code surrounded by "<?" and "?>" always get executed and throws errors. How can I simply quote it and display it on the page? Thank yoy Georges Georges Trottier wrote [edited]: > How can I simply quote and display [HTML with PHP code] on the page? How do you get the contents you're trying to display? Try these: http://www.php.net/htmlentities http://www.php.net/highlight_file -- Mail to my "From:" address is readable by all at http://www.dodgeit.com/ == ** ## !! ------------------------------------------------ !! ## ** == TEXT-ONLY mail to the whole "Reply-To:" address ("My Name" <my@address>) may bypass my spam filter. If it does, I may reply from another address! Georges Trottier wrote: > <html> > <head><title>Connect Serve...

Image "stitching" with GD
Hi All I have (what seems to be) a rather simple problem I'd like to solve using PHP with the GD library installed. I would like to "stitch" multiple images together so that they appear next to each other, but create a new file while doing this. For example, lets say I have 5 images named 1.gif through 5.gif, each containing the digits 1-5 respectively. I would like use GD to place them next to each other in a new image (1 single image), so they read "12345" when displayed in the browser. I do not want to have the 5 images simply displayed next to each other. Can this be done with GD? TIA Rob gojuka@si.rr.com said the following on 26/06/2005 16:12: > Hi All > > I have (what seems to be) a rather simple problem I'd like to solve > using PHP with the GD library installed. I would like to "stitch" > multiple images together so that they appear next to each other, but > create a new file while doing this. For example, lets say I have 5 > images named 1.gif through 5.gif, each containing the digits 1-5 > respectively. I would like use GD to place them next to each other in > a new image (1 single image), so they read "12345" when displayed in > the browser. I do not want to have the 5 images simply displayed next > to each other. > > Can this be done with GD? > Yes. Create a blank image using createtruecolor() with dimensions big enough to fit all five sub-images. Then sim...

freebsd-5.2.1+ php-4.3.9 + gd-2.0.33
Hello there, I am tryin to compile PHP with GD support under FreeBSD-5.2.1: # cd php-4.3.11 # ./configure \ --with-gd=/usr/local/src/gd-2.0.33/ \ --with-png-dir=/usr/local/src/libpng-1.2.8/ \ --with-zlib-dir=/usr/local/src/zlib/ \ --with-jpeg-dir=/usr/local/src/jpeg-6b/ .... checking for GD support... yes checking for the location of libpng... /usr/local/src/libpng-1.2.8/ If configure fails try --with-jpeg-dir=<DIR> configure: error: libpng.(a|so) not found. why libpng.(a|so) not found ? # ls -l /usr/local/src/libpng-1.2.8/libpng.a -rw-r--r-- 1 root wheel 160448 May 31 12:48 /usr/local/src/libpng-1.2.8/libpng.a What is my mistake? Where to read about correct way to install php + gd + libjpeg + libpng ? Encapsulin wrote: > Hello there, > I am tryin to compile PHP with GD support under FreeBSD-5.2.1: > > # cd php-4.3.11 > # ./configure \ > --with-gd=/usr/local/src/gd-2.0.33/ \ > --with-png-dir=/usr/local/src/libpng-1.2.8/ \ > --with-zlib-dir=/usr/local/src/zlib/ \ > --with-jpeg-dir=/usr/local/src/jpeg-6b/ > > ... > checking for GD support... yes > checking for the location of libpng... /usr/local/src/libpng-1.2.8/ > If configure fails try --with-jpeg-dir=<DIR> > configure: error: libpng.(a|so) not found. > > why libpng.(a|so) not found ? > > # ls -l /usr/local/src/libpng-1.2.8/libpng.a > -rw-r--r-- 1 root wheel 160448 May 31 12:48 > /usr/loca...

Web resources about - Coppermine & GD - using bundled php-4.3.8 GD, but "PHP running on your server does not support the GD image library" - comp.lang.php

Resources last updated: 3/24/2016 2:26:50 AM